%% See README.writers
%% Copyright 2014, Carl Karsten
%% Copyright 2014, Stefano Rivera
%% License: CC-BY-SA-3.0
%%
\section{Video Team}

\begin{wrapfigure}{O}{0.35\textwidth}
  \centering
  \vspace{-4.5em}
  \includegraphics[width=0.35\textwidth]{images/photos/confidence_monitor}
  \linebreak
  \imcap{Capturing the presentation with the “confidence monitor”}
  \addcontentsline{pixaigarius}{section}{Capturing the presentation with
    the “confidence monitor”}
\end{wrapfigure}
The video team live-streams DebConf sessions over the Internet to remote
participants.  The sessions are also recorded, transcoded, and published
in the
\href{http://meetings-archive.debian.net/pub/debian-meetings/}{Debian
Meetings Archive}.

The equipment was entirely operated by volunteers from amongst the
conference attendees.  Video was edited live during the session, for
both the stream and the recording.  This allowed for timely publishing
of recordings, as there was very little manual post-production work.

As a first for DebConf, all three session and BoF rooms had video
coverage.  However, not all sessions were recorded.  Some BoF and ad-hoc
sessions were not scheduled long enough in advance to secure a volunteer
team.  Additionally, a small number of BoFs limited participation to the
room, to encourage participants to speak openly about personal
experiences.

\subsection{Preparation and Equipment}

The video team ran a separate private network to stream digital video
(DV) from cameras and frame-grabbers to director's mixing desks (running
\href{http://dvswitch.alioth.debian.org/}{dvswitch}).  From there to
stream encoders, and eventually out to the DebConf stream relay network
on the Internet.

On Thursday, before the conference, the networking team laid cable to
set up the private network, linking all session rooms to the servers in
the NOC.

All equipment involved in the video system, except the servers, was
configured in advance and only had to be connected up.  On Friday, we
set up three rooms with cameras, microphones, mixers, PA systems, and
data projectors.

Each room received two high quality cameras for tracking the speaker and
anyone asking questions from the audience.  A third, lower quality
camera was used for wide-angle audience shots.

Each lectern had a “confidence monitor” showing the image being
projected on the screen during the talk.  They had switch-boxes allowing
the presenter to set up their laptop's video output without projecting
it, before the start of the talk.  Between talks, the projectors were
switched to show sponsor loops and upcoming talk schedules.  Anything
projected was captured by a frame-grabber, allowing it to be included in
the video stream.

\figgraph{t}{1.0}{images/photos/preparations_in_the_ballroom}{The video
  team preparing for a plenary talk}{aigarius}
For sound, each room was equipped with a wireless headset microphone for
the main presenter and a wireless hand-held microphone for a second
presenter and audience questions.  A pair of wired “ambiance”
microphones gave the video a less sterile sound.  They also caught
some questions and audience discussion from people who did not wait for
a hand-held microphone to be brought to them.

As only three complete sets of room equipment were available, we moved
video and sound equipment from a talk room to the ballroom for the
plenary sessions on Saturday.  Later, we moved it back, in time for the
following day's sessions.  This was repeated at the end of the
conference, for the Linus Torvalds Q\&A and the closing ceremony.

Somewhat unusually for DebConf, there were three separate stream
systems.  Carl, who provided the equipment for DebConf14, had an Amazon
EC2 based streaming system, using Flumotion.  Without any relays in
Europe some remote viewers there had difficulty streaming across the
Atlantic reliably.  As a remedy we brought up the traditional DebConf
streams up during the first day of the conference, using
DebConf's international, volunteer-provided stream relay network.  This
provided two streams, a low-bandwidth Ogg Vorbis stream served by
\href{http://icecast.org/}{Icecast}, and a high-quality WebM stream
served by \href{http://git.sesse.net/?p=cubemap}{cubemap}.

\subsection{Outcome}

The core video team was (as always) quite small, and relied on casual
volunteers to man equipment during the conference.  Without an online
sign up system (as we've had at previous DebConfs), it was hard to know
who should be where when.  But there were always just enough people to
step up and make things work.  This was well demonstrated during the
closing ceremony, when the whole team went up to the stage to be
thanked—and two people from the audience stepped up to take over the
equipment that had been left unattended.

For the first time at DebConf, we used the
\href{https://github.com/CarlFK/veyepar}{Veyepar system} to perform the
video post-processing and reviewing.  Veyepar offers volunteers a web
interface to review recorded video.  They determine the start and end
points of each video, and check the quality of the recording.  Scripts
running on the servers take these cut-points and encode the original DV
files into WebM, for publishing.  The WebM files were then checked into
the git-annex repository on the meetings-archive master, and
automatically mirrored to public mirrors.

\begin{figure}[b]
  \centering
  \includegraphics[width=.35\textwidth]{images/photos/live_editing1}
  \hspace{0.1\textwidth}
  \includegraphics[width=.35\textwidth]{images/photos/live_editing2}
  \\[0.5em]
  \imcap{Recording a talk and live editing the video stream}
  \addcontentsline{pixaigarius}{section}{Recording a talk and live
    editing the video stream (2 pictures)}
\end{figure}
About half of the videos were processed and released without issue. The
remainder needed further editing, mostly due to quality problems. They
were published over the course of the following four weeks.

During the conference, we recorded 1,151~GiB of DV footage. After
cutting and editing 87 videos were produced and published in the
\href{http://meetings-archive.debian.net/pub/debian-meetings/2014/debconf14/}{archive},
adding up to over 60 hours of video.

\subsection{Future of the Video Team}

Carl demonstrated a prototype FPGA board for
\href{https://github.com/timvideos/HDMI2USB}{HDMI2USB}, which he hopes
will soon replace the TwinPact100 frame-grabbers that are currently used
for capturing VGA to DV over firewire.  That way we hope to have higher
resolution, entirely digital screen capture at DebConf15.
%
\Person{Carl Karsten, Stefano Rivera}



%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "dc14-report.en"
%%% End: 
